petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatGetOwnershipRanges

Returns the range of matrix rows owned by each process

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetOwnershipRanges(Mat mat,const PetscInt **ranges)

Not Collective, unless matrix has not been allocated, then collective on Mat

### Input Parameters

mat -the matrix

### Output Parameters

ranges -start of each processors portion plus one more than the total length at the end

### See Also

MatGetOwnershipRange(), MatGetOwnershipRangeColumn(), MatGetOwnershipRangesColumn()

### Level

beginner

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages